package com.loafle.overflow.module.infra.service;


import com.loafle.overflow.module.infra.model.InfraHost;
import com.loafle.overflow.module.infra.model.InfraService;
import com.loafle.overflow.module.meta.model.MetaInfraType;
import com.loafle.overflow.module.meta.model.MetaInfraVendor;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import com.loafle.overflow.spring.MailConfiguration;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import static org.junit.Assert.*;

/**
 * Created by snoop on 17. 7. 28.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class, MailConfiguration.class})
public class InfraServiceServiceTest {

    @Autowired
    private InfraServiceService infraServiceService;

    @Ignore
    @Test
    public void regist() throws Exception {

        InfraService infraService = new InfraService();

        infraService.setPort(80);
        infraService.setPortType("TCP");

        InfraHost infraHost = new InfraHost();
        infraHost.setId(1);

        infraService.setHost(infraHost);
        infraService.setTlsType(false);

        MetaInfraVendor metaInfraVendor = new MetaInfraVendor();
        metaInfraVendor.setId(45);

        infraService.setVendor(metaInfraVendor);

        this.infraServiceService.regist(infraService);

        Assert.assertNotEquals(infraService.getId(), 0);
    }

    @Test
    public void read() throws Exception {
    }

}