package com.loafle.overflow.module.member.dao;

import com.loafle.overflow.module.member.model.Member;
import com.loafle.overflow.module.meta.model.MetaMemberStatus;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import com.loafle.overflow.spring.MailConfiguration;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by geek on 17. 6. 28.
 */

@Ignore
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class, MailConfiguration.class})
public class MemberDAOTest {

    @Autowired
    private MemberDAO repo;

//    @Ignore
    @Test
    public void createMember() {
        Member m = new Member();

        m.setName("insanity2");
        m.setCompanyName("loafle");
        m.setPw("bbbbbbbbb");
        m.setPhone("000-000-0000");
        m.setEmail("insanity111@loafle.com");
        m.setStatus(new MetaMemberStatus((short)3));

        repo.save(m);
    }

    @Test
    public void findByEmail() throws Exception {
        Member member = new Member(1);
        member.setEmail("overflow@loafle.com");
        
        Member rr = repo.findByEmail("overflow@loafle.com");
        System.out.println("rr.getCompanyName() = " + rr.getCompanyName());
    }

}