package com.loafle.overflow.proxy;

import java.lang.reflect.Method;
import java.util.List;

/**
 * Created by root on 17. 6. 23.
 */
public class MethodSeeker {

    public static Method getMethod(Class cls, String methodName, List<Class> paramTypes) {

        Method method = null;

        if(paramTypes != null) {
            method = MethodSeeker.getMethodType(cls, methodName, paramTypes.toArray(new Class[paramTypes.size()]));
        }

        return method;

    }

    private static Method getMethodType(Class cls, String methodName, Class<?> ...type) {
        if (cls == null) {
            return null;
        }
        Method m = null;
        try {
            m = cls.getMethod(methodName, type);
        } catch (NoSuchMethodException e) {
            return MethodSeeker.getMethodType(cls.getSuperclass(), methodName, type);
        }

        return m;
    }
}
