package com.loafle.overflow.module.infra.service;

import com.loafle.overflow.module.infra.model.InfraMachine;
import com.loafle.overflow.module.infra.model.InfraOS;
import com.loafle.overflow.module.meta.model.MetaInfraVendor;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import com.loafle.overflow.spring.MailConfiguration;
import org.codehaus.jackson.map.ObjectMapper;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 7. 27.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class, MailConfiguration.class})
public class InfraOSServiceTest {

    @Autowired
    private InfraOSService infraOSService;

    @Test
    @Ignore
    public void regist() throws Exception {

        InfraOS infraOS = new InfraOS();

        MetaInfraVendor metaInfraVendor = new MetaInfraVendor();
        metaInfraVendor.setId(26);

        infraOS.setVendor(metaInfraVendor);
        infraOS.setMeta("");

        InfraMachine infraMachine = new InfraMachine();
        infraMachine.setId(1);

        infraOS.setMachine(infraMachine);

        this.infraOSService.regist(infraOS);
    }

    @Test
    public void read() throws Exception {

        InfraOS infraOS = this.infraOSService.read(1);
        ObjectMapper objectMapper = new ObjectMapper();
        String json = objectMapper.writeValueAsString(infraOS);
        System.out.println(json);
    }

}